in_app_purchase_android 0.3.1 copy "in_app_purchase_android: ^0.3.1" to clipboard
in_app_purchase_android: ^0.3.1 copied to clipboard

PlatformAndroid
unlisted

An implementation for the Android platform of the Flutter `in_app_purchase` plugin. This uses the Android BillingClient APIs.

in_app_purchase_android #

The Android implementation of in_app_purchase.

Usage #

This package is endorsed, which means you can simply use in_app_purchase normally. This package will be automatically included in your app when you do, so you do not need to add it to your pubspec.yaml.

However, if you import this package to use any of its APIs directly, you should add it to your pubspec.yaml as usual.

Migrating to 0.3.0 #

To migrate to version 0.3.0 from 0.2.x, have a look at the migration guide.

Contributing #

This plugin uses json_serializable for the many data structs passed between the underlying platform layers and Dart. After editing any of the serialized data structs, rebuild the serializers by running flutter packages pub run build_runner build --delete-conflicting-outputs. flutter packages pub run build_runner watch --delete-conflicting-outputs will watch the filesystem for changes.

If you would like to contribute to the plugin, check out our contribution guide.

12
likes
130
pub points
97%
popularity

Publisher

verified publisherflutter.dev

An implementation for the Android platform of the Flutter `in_app_purchase` plugin. This uses the Android BillingClient APIs.

Repository (GitHub)
View/report issues
Contributing

Topics

#in-app-purchase #payment

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

collection, flutter, in_app_purchase_platform_interface, json_annotation

More

Packages that depend on in_app_purchase_android